Subject: Bug#470556: emacs22: scroll-margin and scroll-preserve-screen-position cause refresh problem
From: Bernardo Dal Seno <[email-masked]>
To: Debian Bug Tracking System <[email-masked]>
Date: Tue, 11 Mar 2008 22:34:29 +0100

Package: emacs22
Version: 22.1+1-3
Severity: normal

With this very minimal '.emacs' file

---BEGIN---
(custom-set-variables
 '(scroll-margin 2)
 '(scroll-preserve-screen-position t)
) 
---END--- 

hitting page-up and page-down (or C-v and M-v) in any order just after 
having open an exiting file does not update the buffer view immediatly. 

In other words, you open a file, and you hit page-down a couple of 
times; the scroll bar and the status bar get updated immediatly, while 
the content of the window is update only after some time, which could be 
less than a second (but the delay is noticeable) or also a few seconds.

If you move the cursor using the arrow keys, the problem disappear.  If 
you move the cursor to the very first line of the buffer, though, and 
then hit page-down, you'll see the problem again.

I'm using X.  In a terminal window Emacs seems to work fine.

I've experienced this problem for a while, but only now I found the 
cause.  It's more apparent with files of a few hundred lines.

Best regards,
Bernardo

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.23 (PREEMPT)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages emacs22 depends on:
ii  emacs22-bin-common     22.1+1-3          The GNU Emacs editor's shared, arc
ii  libasound2             1.0.16-1          ALSA library
ii  libc6                  2.7-8             GNU C Library: Shared libraries
ii  libice6                2:1.0.4-1         X11 Inter-Client Exchange library
ii  libjpeg62              6b-14             The Independent JPEG Group's JPEG 
ii  libncurses5            5.6+20080203-1    Shared libraries for terminal hand
ii  libpng12-0             1.2.15~beta5-3    PNG library - runtime
ii  libsm6                 2:1.0.3-1+b1      X11 Session Management library
ii  libtiff4               3.8.2-7           Tag Image File Format (TIFF) libra
ii  libx11-6               2:1.0.3-7         X11 client-side library
ii  libxext6               2:1.0.4-1         X11 miscellaneous extension librar
ii  libxmu6                2:1.0.4-1         X11 miscellaneous utility library
ii  libxpm4                1:3.5.7-1         X11 pixmap library
ii  libxt6                 1:1.0.5-3         X11 toolkit intrinsics library
ii  xaw3dg                 1.5+E-15          Xaw3d widget set
ii  zlib1g                 1:1.2.3.3.dfsg-11 compression library - runtime

emacs22 recommends no packages.

-- no debconf information